﻿using PuppeteerSharp;



var browser = await Puppeteer.LaunchAsync(new LaunchOptions
{
    Headless = true,
    ExecutablePath = @"C:\Program Files (x86)\Microsoft\Edge\Application\msedge.exe"
});
var page = await browser.NewPageAsync();
await page.GoToAsync("https://www.dotnetpro.de");
PdfOptions pdfOptions = new()
{
    Format = PuppeteerSharp.Media.PaperFormat.A4,
    MarginOptions = new() { Top = "20mm", Bottom = "20mm", Left = "14mm", Right = "14mm" },
    DisplayHeaderFooter = true,
    HeaderTemplate = "<div style=\"font-size:10px; margin: 0 14mm;\"<span class='date'/></div>",
    FooterTemplate = "<div style=\"font-size:10px; margin: 0 14mm;\">Seite <span class=\"pageNumber\"></span> von <span class=\"totalPages\"></span></div>",
    
    PrintBackground = true,
};

await page.PdfAsync(@"c:\temp\dotnetpro.pdf", pdfOptions);